%global cpan_name libintl-perl

Summary:        Internationalization library for Perl, high-level interface to Uniforum Message Translation
Name:           perl-libintl-perl
Version:        1.31
Release:        2
License:        GPLv3+ and LGPLv2+
URL:            https://metacpan.org/release/%{cpan_name}
Source:         https://cpan.metacpan.org/authors/id/G/GU/GUIDO/%{cpan_name}-%{version}.tar.gz
Provides:       %{cpan_name} = %{version}-%{release}

BuildRequires:  coreutils findutils gcc glibc-common make sed perl-interpreter
BuildRequires:  perl-devel perl-generators perl(Config) perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Find) perl(strict) perl(vars) perl(base) perl(bytes)
BuildRequires:  perl(constant) perl(Cwd) perl(DynaLoader) perl(Encode)
BuildRequires:  perl(Encode::Alias) perl(Exporter) perl(File::Spec) perl(integer)
BuildRequires:  perl(IO::Handle) perl(locale) perl(POSIX) perl(File::ShareDir)
BuildRequires:  perl(I18N::Langinfo) glibc-langpack-de glibc-langpack-en
BuildRequires:  perl(File::Basename) perl(Test) perl(Test::Harness)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp) perl(Encode::Alias) perl(POSIX)
Recommends:     perl(File::ShareDir) perl(I18N::Langinfo)

%{?perl_default_filter}

%description
The package %{cpan_name} is an internationalization library for Perl that
aims to be compatible with the Uniforum message translations system as
implemented for example in GNU gettext.

%package_help


%prep
%autosetup -p1 -n %{cpan_name}-%{version}
find -type f -exec chmod -x {} \;
find lib/Locale gettext_xs \( -name '*.pm' -o -name '*.pod' \) \
    -exec sed -i -e '/^#! \/bin\/false/d' {} \;

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f \( -name .packlist -o \
                  -name '*.bs' -size 0 \) -delete
%{_fixperms} $RPM_BUILD_ROOT

%check
LANG=en_US make test

%files
%license COPYING
%{perl_vendorlib}/Locale/
%{perl_vendorarch}/auto/Locale/

%files help
%doc Changes Credits FAQ NEWS README REFERENCES THANKS TODO
%doc sample
%{_mandir}/man?/*

%changelog
* Tue Apr 26 2022 renhongxun <renhongxun@h-partners.com> - 1.31-2
- rebuild perl-libintl-perl

* Sat Jul 25 2020 zhanzhimin <zhanzhimin@huawei.com> - 1.31-1
- Update to 1.31
- Whitelist known rpmlist errors

* Tue Dec 3 2019 mengxian <mengxian@huawei.com> - 1.29-6
- Package init
